Archive

The /archive resource provides access to raw report data. At this time raw reports are only available for Apple apps (via iTunes Connect)

Getting All Report Listings

Request

GET /archive/?type={type}

Arguments

type (optional)
The report type to limit to. Supported values: daily, weekly, financial, payment, all. The default type is all.

Example Response

// GET /archive/?type=daily
 
{
  "105451447": {
    "id": 105451447,
    "type": "daily",
    "itc_id": 12345,
    "report_timestamp": "2010-07-01T00:00:00",
    "import_timestamp": "2010-07-02T06:14:48",
    "import_method": "sync",
    "region": "none"
  },
  ...
}

Getting Latest Report Listings

This route will return a reference to the newest report in each of the linked accounts.

Request

GET /archive/latest/?type={type}

Arguments

type (optional)
The report type to limit to. Supported values: daily, weekly, financial, payment, all. The default type is all.

Example Response

// GET /archive/latest/?type=daily
 
{
  "105451447": {
    "id": 105451447,
    "type": "daily",
    "itc_id": 12345,
    "report_timestamp": "2010-09-26T00:00:00",
    "import_timestamp": "2010-09-27T07:21:49",
    "import_method": "sync",
    "region": "none"
  },
  "105451448": {
    "id": 105451448,
    "type": "daily",
    "itc_id": 12346,
    "report_timestamp": "2010-09-26T00:00:00",
    "import_timestamp": "2010-09-27T07:22:03",
    "import_method": "sync",
    "region": "none"
  },
  ...
}

Getting Report Listings By Date

Request

GET /archive/{report_date}/?type={type}

Arguments

type (optional)
The report type to limit to. Supported values: daily, weekly, financial, payment, all. The default type is all.
report_date (required)
(yyyy-MM-dd) Retrieves the headers for all reports on the given date

Example Response

// GET /archive/2010-07-01/?type=daily
 
{
  "105451447": {
    "id": 105451447,
    "type": "daily",
    "itc_id": 12345,
    "report_timestamp": "2010-09-21T00:00:00",
    "import_timestamp": "2010-08-22T15:14:48",
    "import_method": "sync",
    "region": "none"
  }
}

Getting Raw Report Data

Request

GET /archive/raw/{id}/

Arguments

id (required)
The id of the report to get

Example Response

// GET /archive/raw/105451447
 
actual raw report data in plain text format. 
Actual output will depend on the report.
  • http://architechies.com Brent Royal-Gordon

    The “type” field in the JSON response can also have the value “monthly_free”.  I don’t know if this is a valid value for the “type” query parameter.

  • Anonymous

    The type is valid though it is no longer used. Up until August of 2010 Apple provided monthly reports for free apps. While we still support those reports Apple no longer generates them.

  • http://www.facebook.com/people/Dennis-Voloshko/100000381686859 Dennis Voloshko

    how do I Put sales data to appfigures via API? dont want to discover ITC login.

  • Anonymous

    The API is read-only at this time and will not accept data. You can manually upload your reports through the site.